import { put, call } from "redux-saga/effects";
import * as actions from './../../../actions/auth/signIn'

import { SIGN_IN_URL } from '../../../constants'

// worker-saga for signing in

export default function* () {
    try {
        const payload = yield call(() => {
            fetch(SIGN_IN_URL).then(res => res.json())
        })
        yield put(actions.signInRequestSucces(payload))
    }
    catch (exception) {
        yield put(actions.signInRequestFailure(exception.message))
    }
}